class ParamObserverDraft: def slotParamChanged(self, param, tp, name, value): if name == "textheight": def slotParamChanged(self, param_grp, typ, entry, value): if entry == "textheight": _param_observer_callback_tray() return if name in ("gridBorder", "gridShowHuman", "coloredGrid...
# 需要导入模块: import FreeCAD [as 别名]# 或者: from FreeCAD importParamGet[as 别名]defActivated(self):ifhasattr(FreeCAD,'DraftWorkingPlane')andhasattr(FreeCADGui,'Snapper'):importpolarUtilsCmd s=FreeCAD.ParamGet("User parameter:BaseApp/Preferences/Mod/Draft").GetInt("gridSize") sc=[float...
^Sketcher: Grid pref: Change names.https://github.com/FreeCAD/FreeCAD/pull/9080 ^[Draft] Remove obsolete ShapeString code from DraftGui.pyhttps://github.com/FreeCAD/FreeCAD/pull/9102 ^[Draft] Remove obsolete decode codehttps://github.com/FreeCAD/FreeCAD/pull/9106 ^Core: make the init s...
This is the official source code of FreeCAD, a free and opensource multiplatform 3D parametric modeler. - Draft toggle grid as a toggle button to indicate grid visibility (#14… · FreeCAD/FreeCAD@4500d0f
fix label and file size[24] kb单位 Sketch WB clang-format/black/pre-commit[25] clang-format,超级巨大 Sketch: add formatting commits to git ignore[26] chore Update translations[27] 很多翻译文件 Draft: fix getcoords in gui_snapper.py[28] ...
self.toolbar.show()defsetGrid(self):"sets the grid, if visible"ifself.grid:ifself.grid.Visible: self.grid.set()ifnothasattr(FreeCADGui,"Snapper"): FreeCADGui.Snapper = Snapper()ifnothasattr(FreeCAD,"DraftWorkingPlane"):importWorkingPlane, Draft_rc ...
免费加入 已有帐号? 立即登录 master 管理 管理 分支(5) master develop feature hotfix release 克隆/下载 HTTPS SSH SVN SVN+SSH 复制 下载ZIP 登录提示 该操作需登录 Gitee 帐号,请先登录后再操作。 立即登录 没有帐号,去注册 FreeCAD_zh_CN / BIM.ts BIM.ts 158.26 KB ...
* use transformShape for uniform scaling in Draft._Clone Feature * Make FreeCAD buildable using QT Creator using windows the VC++ 9 compiler * Part Revolve - add parameter "solid" * emn import failure * Allow Part Loft to create a closed solid i.e. have the Loft start and finish...
* use transformShape for uniform scaling in Draft._Clone Feature * Make FreeCAD buildable using QT Creator using windows the VC++ 9 compiler * Part Revolve - add parameter "solid" * emn import failure * Allow Part Loft to create a closed solid i.e. have the Loft start and finish...
Sketcher: grid spacing should be saved with the file #16202 tigert 1:35:36 None None [Draft] [Regression] 0.22dev element can be moved to more than one draft layer #16201 semhustej 4:37:32 22:56:21 None CAM: Total job time doesn't take into account arrays #16200 opensourcecnc Non...